aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/lib/firstboot/20_no_fo_mount_jffs
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/files/lib/firstboot/20_no_fo_mount_jffs')
-rw-r--r--package/base-files/files/lib/firstboot/20_no_fo_mount_jffs15
1 files changed, 15 insertions, 0 deletions
diff --git a/package/base-files/files/lib/firstboot/20_no_fo_mount_jffs b/package/base-files/files/lib/firstboot/20_no_fo_mount_jffs
new file mode 100644
index 000000000..8a1d4e06d
--- /dev/null
+++ b/package/base-files/files/lib/firstboot/20_no_fo_mount_jffs
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Copyright (C) 2006-2010 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+
+no_fo_mount_jffs() {
+ # initialize jffs2
+ mount "$mtdpart" /overlay -t jffs2 || exit
+
+ # workaround to ensure that union can attach properly
+ sync
+ ls /overlay >/dev/null
+}
+
+boot_hook_add no_fo no_fo_mount_jffs